Bug 1130367 - kernel upgrade leads to black band
Summary: kernel upgrade leads to black band
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-radeonhd
Version: 20
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Orphan Owner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-15 03:41 UTC by Max P
Modified: 2015-06-29 22:04 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-29 22:04:27 UTC


Attachments (Terms of Use)
A digital picture of my "black band error" (a screenshot appears to be completely normal with no black band) (4.38 MB, image/jpeg)
2014-08-15 03:41 UTC, Max P
no flags Details
dmesg output of a boot 3.11 kernel (no black band) (96.39 KB, text/plain)
2014-08-15 03:43 UTC, Max P
no flags Details
dmesg output of a booted 3.15.8 kernel (101 bytes, text/plain)
2014-08-15 03:44 UTC, Max P
no flags Details
dmesg output of a booted 3.15.8 kernel (94.47 KB, text/plain)
2014-08-15 03:46 UTC, Max P
no flags Details

Description Max P 2014-08-15 03:41:30 UTC
Created attachment 926964 [details]
A digital picture of my "black band error" (a screenshot appears to be completely normal with no black band)

/-/--/-/--/-/--/-/--/-/--/-/--/-/--/-/--/-/--/-/--/-/--/-/--/-/--/-/--/-/--/-/
Please see original request for help (picture of error and links to dmesg output included) @ http://unix.stackexchange.com/questions/150169/drm-kernel-v3-11-issues

Some details have been rewritten here V
/-/--/-/--/-/--/-/--/-/--/-/--/-/--/-/--/-/--/-/--/-/--/-/--/-/--/-/--/-/--/-/

Description of problem:
When booting into newer kernel versions, a black unhoverable band appears on the screen, splitting it into two unequal parts with the right of the expected screen on the left and vice-versa (see picture unix.stackexchange link for picture)

Version-Release number of selected component (if applicable):
kernel v3.11.10-301.fc20 working fine (as installed from installation media)
kernel v3.15.8 and v3.15.7 produce the error

How reproducible:
100% of the time with occasional no display at all (2px tall coloured band at top)

Steps to Reproduce:
1.Select a kernel version greater than 3.11.10-301.fc20 from the GRUB2 Boot menu and boot from it
2.NOTE: Kernel efi certificate authentication error display does not yet suffer of black band display error (therefore assumed erroneous kernel module is DRM otherwise potentially the x.org radeon drivers)

Actual results:
An split screen

Expected results:
A non split screen

Additional info:

"-Occasionally, I get no video at all with the newer kernels; merely a 2px tall tripe at the top of my screen that does flash with the right colours (because I know the login so well :P).
-Changing GRUB2's gfxpayload setting to 'auto' does nothing"


Hardware/BIOS setup
AMD 970 chipset (ASUS m5a97 R2.0)
AMD FX-6600
AMD Radeon 6450 discrete graphics(Gigabyte silent edition)
Booting shim.efi (secure boot)

dmesg outputs:
3.15 (black band present as per picture). Link:   http://1drv.ms/1uR67om
3.11 (black band not present):   http://1drv.ms/1uR5Sd3

Comment 1 Max P 2014-08-15 03:43:49 UTC
Created attachment 926976 [details]
dmesg output of a boot 3.11 kernel (no black band)

Comment 2 Max P 2014-08-15 03:44:30 UTC
Created attachment 926977 [details]
dmesg output of a booted 3.15.8 kernel

Comment 3 Max P 2014-08-15 03:46:48 UTC
Created attachment 926978 [details]
dmesg output of a booted 3.15.8 kernel

Comment 4 Max P 2014-08-15 03:48:08 UTC
First time formally using bugzilla. Please excuse any lacking of netiquette...

Comment 5 Fedora End Of Life 2015-05-29 12:38:20 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Fedora End Of Life 2015-06-29 22:04:27 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.